<HTML>
<HEAD>
  <META NAME="GENERATOR" CONTENT="Adobe PageMill 3.0 Win">
  <TITLE>Ambient Compiler Implementation Overview</TITLE>
</HEAD>
<BODY BGCOLOR="#ffffff">

<H2>CS237c: Ambient Compiler</H2>

<P>The ambient compiler has five major parts in the following
directories:</P>

<UL>
  <LI><TT>ambient/parse</TT>: the parser for the ambient language
  <LI><TT>ambient/type</TT>: the type inference algorithm
  <LI><TT>ambient/fir</TT>: functional intermediate representation
  <LI><TT>ambient/runtime</TT>: the back-end ambient server
  <LI><TT>ambient/main</TT>: the main program for the front-end
</UL>

</BODY>
</HTML>
